Notification Channels - List

特定のラボの通知チャネルを一覧表示します。

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DevTestLab/labs/{labName}/notificationchannels?api-version=2018-09-15
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DevTestLab/labs/{labName}/notificationchannels?api-version=2018-09-15&$expand={$expand}&$filter={$filter}&$top={$top}&$orderby={$orderby}

URI パラメーター

名前 / 必須 説明
labName
path True

string

ラボの名前。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

リソース グループの名前。 名前は大文字と小文字が区別されます。

subscriptionId
path True

string

minLength: 1

ターゲット サブスクリプションの ID。

api-version
query True

string

minLength: 1

この操作に使用する API バージョン。

$expand
query

string

$expand クエリを指定します。 例: 'properties($select=webHookUrl)'

$filter
query

string

操作に適用するフィルター。 例: '$filter=contains(name,'myName')

$orderby
query

string

OData 表記を使用した結果の順序式。 例: '$orderby=name desc'

$top
query

integer (int32)

操作から返されるリソースの最大数。 例: '$top=10'

応答

名前 説明
200 OK

NotificationChannelList

Azure 操作は正常に完了しました。

Other Status Codes

ErrorResponse

予期しないエラー応答。

セキュリティ

azure_auth

Azure Active Directory OAuth2 フロー。

型: oauth2
フロー: implicit
Authorization URL (承認 URL): https://login.microsoftonline.com/common/oauth2/authorize

スコープ

名前 説明
user_impersonation ユーザー アカウントを偽装する

NotificationChannels_List

要求のサンプル

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/resourceGroupName/providers/Microsoft.DevTestLab/labs/{labName}/notificationchannels?api-version=2018-09-15

応答のサンプル

{
  "value": [
    {
      "name": "autoshutdown",
      "type": "Microsoft.DevTestLab/labs/notificationChannels",
      "id": "/subscriptions/{subscriptionId}/resourceGroups/resourceGroupName/providers/Microsoft.DevTestLab/labs/{labName}/notificationChannels/{notificationChannelName}",
      "location": "{location}",
      "properties": {
        "description": "Integration configured for auto-shutdown",
        "createdDate": "2021-01-05T02:12:10.6566371+00:00",
        "emailRecipient": "{email}",
        "events": [
          {
            "eventName": "AutoShutdown"
          }
        ],
        "notificationLocale": "en",
        "provisioningState": "Succeeded",
        "uniqueIdentifier": "{uniqueIdentifier}",
        "webHookUrl": "{webhookUrl}"
      },
      "tags": {
        "tagName1": "tagValue1"
      }
    },
    {
      "name": "costThreshold",
      "type": "Microsoft.DevTestLab/labs/notificationChannels",
      "id": "/subscriptions/{subscriptionId}/resourceGroups/resourceGroupName/providers/Microsoft.DevTestLab/labs/{labName}/notificationChannels/{notificationChannelName}",
      "location": "{location}",
      "properties": {
        "description": "Integration configured for cost",
        "createdDate": "2021-01-05T02:14:05.2392034+00:00",
        "events": [
          {
            "eventName": "Cost"
          }
        ],
        "notificationLocale": "en",
        "provisioningState": "Succeeded",
        "uniqueIdentifier": "{uniqueIdentifier}",
        "webHookUrl": "{webhookUrl}"
      },
      "tags": {
        "tagName1": "tagValue1"
      }
    }
  ]
}

定義

名前 説明
createdByType

リソースを作成した ID の種類。

ErrorAdditionalInfo

リソース管理エラーの追加情報。

ErrorDetail

エラーの詳細。

ErrorResponse

エラー応答

Event

通知対象のイベント。

NotificationChannel

通知。

NotificationChannelEventType

この通知が有効になっているイベントの種類 (AutoShutdown、Cost など)

NotificationChannelList

リスト操作の応答。

systemData

リソースの作成と最後の変更に関連するメタデータ。

createdByType

リソースを作成した ID の種類。

説明
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

リソース管理エラーの追加情報。

名前 説明
info

object

追加情報。

type

string

追加情報の種類。

ErrorDetail

エラーの詳細。

名前 説明
additionalInfo

ErrorAdditionalInfo[]

エラーの追加情報。

code

string

エラー コード。

details

ErrorDetail[]

エラーの詳細。

message

string

エラー メッセージ。

target

string

エラーターゲット。

ErrorResponse

エラー応答

名前 説明
error

ErrorDetail

エラー オブジェクト。

Event

通知対象のイベント。

名前 説明
eventName

NotificationChannelEventType

この通知が有効になっているイベントの種類 (AutoShutdown、Cost など)

NotificationChannel

通知。

名前 説明
id

string

リソースの完全修飾リソース ID。 例 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

location

string

リソースが存在する地理的な場所

name

string

リソースの名前

properties.createdDate

string (date-time)

通知チャネルの作成日。

properties.description

string

通知の説明。

properties.emailRecipient

string

通知を送信する電子メール受信者 (セミコロンで区切られた電子メール アドレスの一覧を指定できます)。

properties.events

Event[]

この通知が有効になっているイベントの一覧。

properties.notificationLocale

string

通知を送信するときに使用するロケール (サポートされていない言語のフォールバックは EN です)。

properties.provisioningState

string

リソースのプロビジョニング状態。

properties.uniqueIdentifier

string

リソースの一意の変更できない識別子 (Guid)。

properties.webHookUrl

string

通知を送信する Webhook URL。

systemData

systemData

createdBy および modifiedBy 情報を含む Azure Resource Manager メタデータ。

tags

object

リソース タグ。

type

string

リソースの種類。 例: "Microsoft.Compute/virtualMachines" または "Microsoft.Storage/storageAccounts"

NotificationChannelEventType

この通知が有効になっているイベントの種類 (AutoShutdown、Cost など)

説明
AutoShutdown
Cost

NotificationChannelList

リスト操作の応答。

名前 説明
nextLink

string (uri)

アイテムの次のページへのリンク

value

NotificationChannel[]

このページの NotificationChannel 項目

systemData

リソースの作成と最後の変更に関連するメタデータ。

名前 説明
createdAt

string (date-time)

リソース作成のタイムスタンプ (UTC)。

createdBy

string

リソースを作成した ID。

createdByType

createdByType

リソースを作成した ID の種類。

lastModifiedAt

string (date-time)

リソースの最終変更のタイムスタンプ (UTC)

lastModifiedBy

string

リソースを最後に変更した ID。

lastModifiedByType

createdByType

リソースを最後に変更した ID の種類。